import { OdfElement } from '../api/OdfElement';
import { AutomaticStyles, CommonStyles } from '../api/office';
export declare class DomVisitor {
    private commonStyles;
    private automaticStyles;
    constructor(commonStyles: CommonStyles, automaticStyles: AutomaticStyles);
    visit(odfElement: OdfElement, document: Document, parent: Element): void;
    private visitHeading;
    private visitHyperlink;
    private visitImage;
    private visitList;
    private visitListItem;
    private visitOdfText;
    private visitParagraph;
    private visitTextBody;
    private setStyleName;
    private getAutomaticStyleName;
    private getCommonStyleName;
    /**
     * Creates the image element and embeds the denoted image base64 encoded binary data.
     *
     * @param {Document} document The XML document
     * @param {Element} frameElement The parent node in the DOM (`draw:frame`)
     * @param {Image} image The image
     * @private
     */
    private embedImage;
}
