import { FontFaceDeclarations } from '../../api/office';
/**
 * Transforms a {@link FontFaceDeclarations} object into ODF conform XML
 *
 * @since 0.8.0
 */
export declare class FontFaceDeclarationsWriter {
    /**
     * Transforms the given {@link FontFaceDeclarations} into Open Document Format.
     *
     * @param {Document} document The XML document
     * @param {Element} parent The parent node in the DOM
     * @param {FontFaceDeclarations} fontFaceDeclarations The font face declarations to serialize
     * @since 0.7.0
     */
    write(fontFaceDeclarations: FontFaceDeclarations, document: Document, root: Element): void;
    private visitFontFace;
}
